#ifndef _KEYLCD_H_
#define _KEYLCD_H_

#include "i2c.h"
#include "string.h"

#define I2C_KEYLCD 2
#define LCD_CMD_PRINTSTR 0

class KeyLCD 
{
private:
	I2C i2c;
public:
	KeyLCD();
	~KeyLCD();
	
	void print(char* data);
	uint8_t error();
	void clear();	
};

#endif

 
