#include "keylcd.h"

KeyLCD::KeyLCD() : i2c() {

}

KeyLCD::~KeyLCD() {

}

// Gibt Daten auf dem keyLCD aus
void KeyLCD::print(char *data) {
	int len=strlen(data);
  uint8_t buf[len+1];

  for (int i=0; i<len; i++) buf[i] = uint8_t(data[i]);

  i2c.send(I2C_KEYLCD, buf, len);
}

// Lscht das keyLCD
void KeyLCD::clear() {
	
}

uint8_t KeyLCD::error() {
	return i2c.error();
}
